# shared.js

Shared JS library that all [GFT][https://gft.xyz] cards link to. This library does a few things:

* Orchestrate injection of GFT data from a parent `IFRAME`
* Display GFT watermark on the card page
* [Analytics](https://matomo.cloud) integration 

**Latest version: https://ipfs.gft.xyz/ipns/libjs.gft.xyz**

## Usage

Every card design HTML must contain the following tag:

```html
<script type="text/javascript" src="https://ipfs.gft.xyz/ipns/sharedjs.gft.xyz"></script>
```

## Development

Run the typescript compiler in *watch* mode:

```shell
yarn build-watch
```

Now run the HTTP server for testing out the lib:

```shell
yarn serve
```

## Deployment

1. Build: `yarn build`
1. Setup `PINATA_API_KEY` and `PINATA_SECRET` shell environment vars
1. Publish: `yarn publish:pinata` 
1. Update `README.md` with latest Commit repo with `git push` and update

_NOTE: use `yarn publish:local` to publish to a local IPFS server_


## License

MIT